Subject: bug#91: closed (Re: using mouse to paste into comint buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 28 Jul 2011 00:31:03 +0000

Your bug report

#91: using mouse to paste into comint buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
91: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=91
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: using mouse to paste into comint buffer
From: Lars Magne Ingebrigtsen <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: Tom Tromey <[email-masked]>, Nick Roberts <[email-masked]>, [email-masked]
Date: Thu, 28 Jul 2011 02:24:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Chong Yidong <[email-masked]> writes:

> I can't seem to reproduce this.  Nick, can you?

More information was requested three years ago, and was apparently not
given, so I'm closing this report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

>From [email-masked] Sat Mar 29 11:55:39 2008
Resent-Message-ID: <[email-masked]>
Resent-To: [email-masked]
Resent-From: Stefan Monnier <[email-masked]>
Resent-Date: Sat, 29 Mar 2008 14:55:29 -0400
To: [email-masked]
From: Tom Tromey <[email-masked]>
Date: Fri, 28 Mar 2008 16:47:18 -0600
Subject: using mouse to paste into comint buffer
Reply-To: Tom Tromey <[email-masked]>
Sender: bug-gnu-emacs-bounces+monnier=[email-masked]

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

If I try to select some text in a gnome-terminal and then paste it
into a gud buffer, the actually-pasted text will often end up being
the command on the previous line, rather than whatever I selected.

This only seems to happen when the prompt line is the very last line
of the window.  If I recenter first, I can paste my selection -- but
this is pretty inconvenient and I often forget to do it.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/22.1/etc/DEBUG for instructions.

In GNU Emacs 22.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.12.1)
 of 2007-11-06 on xenbuilder4.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i386-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/usr/com' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-pop' '--with-sound' '--with-gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i386-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -DSYSTEM_PURESIZE_EXTRA=16777216 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  auto-fill-function: tjt-c++-do-auto-fill
  compilation-in-progress: (grep compilation compilation compilation compilation compilation grep gid compilation grep ...)
  shell-dirtrack-mode: t
  erc-menu-mode: t
  erc-autojoin-mode: t
  erc-ring-mode: t
  erc-pcomplete-mode: t
  erc-track-mode: t
  erc-track-minor-mode: t
  erc-match-mode: t
  erc-button-mode: t
  erc-fill-mode: t
  erc-stamp-mode: t
  erc-netsplit-mode: t
  erc-spelling-mode: t
  erc-truncate-mode: t
  flyspell-mode: t
  erc-status-mode: t
  erc-services-mode: t
  erc-irccontrols-mode: t
  erc-noncommands-mode: t
  erc-readonly-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-M-p C-M-p C-M-p C-M-p C-M-p C-M-p C-M-p C-v C-v C-x 
C-f d u <tab> C-g C-x f C-g C-x C-f t r e <tab> <tab> 
- d u <tab> <tab> h <return> C-v C-l C-v C-v C-l M-v 
C-c C-g M-v C-c t M-< C-v C-v C-v C-v C-v M-v M-v M-v 
C-u C-u C-p C-u C-n C-p C-p M-x g i d <return> <return> 
C-x 1 C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v 
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v 
C-v C-v C-v C-v M-v M-v M-v M-v C-c C-g M-v M-v M-v 
M-v M-v C-c b C-c b C-c b C-c b M-< C-s c o r e _ f 
i l e C-s C-s C-s C-s C-s C-a M-< C-s c o r e _ b f 
d C-e C-M-b C-M-SPC M-w C-z o p t SPC C-y <return> 
<switch-frame> <switch-frame> <help-echo> <down-mouse-2> 
<mouse-2> C-a C-k <down-mouse-2> <mouse-2> C-l C-a 
C-k <down-mouse-2> <mouse-2> C-a t p <M-backspace> 
p t SPC <return> <help-echo> <help-echo> <help-echo> 
<switch-frame> <switch-frame> <help-echo> <switch-frame> 
M-. M-p M-p <return> M-> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <prior> <prior> <prior> <prior> <prior> 
<prior> <prior> <next> <switch-frame> <help-echo> <switch-frame> 
<prior> <next> <next> <next> <next> <next> <next> <next> 
<next> <next> <next> <next> <switch-frame> <help-echo> 
<help-echo> <down-mouse-2> <mouse-2> C-a C-k C-l <help-echo> 
<down-mouse-2> <mouse-2> C-a p r SPC C-b C-b C-d t 
<return> <switch-frame> <switch-frame> <switch-frame> 
<switch-frame> <help-echo> <help-echo> <down-mouse-2> 
<mouse-2> C-l <M-backspace> <M-backspace> e c h o <return> 
C-h k <down-mouse-2> <mouse-2> C-h k <down-mouse-2> 
<mouse-2> <down-mouse-2> <mouse-2> <M-backspace> <M-backspace> 
C-a C-g C-z o M-x r e p o r t - e m a c s - b u <tab> 
<return>

Recent messages:
Mark saved where search started
Mark set
Mark saved where search started
Mark set [6 times]
call-interactively: Beginning of buffer [2 times]
Mark set
Type C-x 4 C-o RET to restore the other window.  
Mark set
Quit
Loading emacsbug...done

Tom